- Qt 6.12
- Qt TaskTree
- C++ Classes
- QStartedBarrier
- Qt 6.12.0 Reference Documentation

# QtTaskTree::QStartedBarrier Class

class QtTaskTree::QStartedBarrier

A started QBarrier with a given limit. More...

Header: | `#include <qbarriertask.h>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS TaskTree)` `target_link_libraries(mytarget PRIVATE Qt6::TaskTree)`
qmake: | `QT += tasktree`
Since: | Qt 6.11
Inherits: | QtTaskTree::QBarrier
Status: | Technology preview

This class is in technology preview and is subject to change.

- List of all members, including inherited members

Note: All functions in this class are reentrant.

## Public Functions

| QStartedBarrier(QObject *parent)
| QStartedBarrier(qsizetype limit, QObject *parent = nullptr)

## Reimplemented Protected Functions

virtual bool | event(QEvent *event) override

## Related Non-Members

| BarrierKickerGetter
| QStoredBarrier

## Detailed Description

QStartedBarrier is a QBarrier with a given limit, already started when constucted.

## Member Function Documentation

### `[explicit]` QStartedBarrier::QStartedBarrier(QObject *parent)

Creates started QBarrier with a given parent and the default limit of 1.

### `[explicit]` QStartedBarrier::QStartedBarrier(qsizetype limit, QObject *parent = nullptr)

Creates started QBarrier with a given limit and parent.

### `[override virtual protected]` bool QStartedBarrier::event(QEvent *event)

Reimplements: QBarrier::event(QEvent *event).

## Related Non-Members

### `[alias]` BarrierKickerGetter

Type alias for the function taking a QStoredBarrier and returning ExecutableItem, i.e. `std::function<ExecutableItem(const QStoredBarrier &)>`, to be used inside When constructor.

### `[alias]` QStoredBarrier

Type alias for the QtTaskTree::Storage<QStartedBarrier>, to be used inside recipes.